<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: BeginnerTipsManager类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('interface_beginner_tips_manager.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">构造函数</a> &#124;
<a href="#pub-static-methods">类方法</a> &#124;
<a href="#properties">属性</a> &#124;
<a href="interface_beginner_tips_manager-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">BeginnerTipsManager类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_beginner_tips_manager_8h_source.html">BeginnerTipsManager.h</a>&gt;</code></p>
<div class="dynheader">
类 BeginnerTipsManager 继承关系图:</div>
<div class="dyncontent">
 <div class="center">
  <img src="interface_beginner_tips_manager.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
构造函数</h2></td></tr>
<tr class="memitem:ac5223a758aecf7155dd0d77b2dfbd824"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="interface_beginner_tips_manager.html#ac5223a758aecf7155dd0d77b2dfbd824">showTipViewWithTip:directionType:dotReact:emptyReact:</a></td></tr>
<tr class="separator:ac5223a758aecf7155dd0d77b2dfbd824"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
类方法</h2></td></tr>
<tr class="memitem:ac0246a40d9351c38bdc68afbdfdd1310"><td class="memItemLeft" align="right" valign="top">(BOOL)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_beginner_tips_manager.html#ac0246a40d9351c38bdc68afbdfdd1310">tipWindowHasShowForKey:</a></td></tr>
<tr class="memdesc:ac0246a40d9351c38bdc68afbdfdd1310"><td class="mdescLeft">&#160;</td><td class="mdescRight">判断是否展示过  <a href="interface_beginner_tips_manager.html#ac0246a40d9351c38bdc68afbdfdd1310">更多...</a><br /></td></tr>
<tr class="separator:ac0246a40d9351c38bdc68afbdfdd1310"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85340e58bc5fddbef3ed5f3898452eae"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="interface_beginner_tips_manager.html#a85340e58bc5fddbef3ed5f3898452eae">updateTipWindowHasShowForKey:</a></td></tr>
<tr class="separator:a85340e58bc5fddbef3ed5f3898452eae"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
属性</h2></td></tr>
<tr class="memitem:a53d2f423aee4dc90ad3ce3fa4dfb53fe"><td class="memItemLeft" align="right" valign="top">id&lt; <a class="el" href="protocol_beginner_tips_manager_delegate-p.html">BeginnerTipsManagerDelegate</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interface_beginner_tips_manager.html#a53d2f423aee4dc90ad3ce3fa4dfb53fe">delegate</a></td></tr>
<tr class="separator:a53d2f423aee4dc90ad3ce3fa4dfb53fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">详细描述</h2>
<div class="textblock">
<p class="definition">在文件 <a class="el" href="_beginner_tips_manager_8h_source.html">BeginnerTipsManager.h</a> 第 <a class="el" href="_beginner_tips_manager_8h_source.html#l00023">23</a> 行定义.</p>
</div><h2 class="groupheader">函数文档</h2>
<a id="ac5223a758aecf7155dd0d77b2dfbd824"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5223a758aecf7155dd0d77b2dfbd824">&#9670;&nbsp;</a></span>showTipViewWithTip:directionType:dotReact:emptyReact:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">- (void) showTipViewWithTip: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>tip</em></td>
        </tr>
        <tr>
          <td class="paramkey">directionType:</td>
          <td></td>
          <td class="paramtype">(TriangleDirectionType)&#160;</td>
          <td class="paramname"><em>type</em></td>
        </tr>
        <tr>
          <td class="paramkey">dotReact:</td>
          <td></td>
          <td class="paramtype">(CGRect)&#160;</td>
          <td class="paramname"><em>dotReact</em></td>
        </tr>
        <tr>
          <td class="paramkey">emptyReact:</td>
          <td></td>
          <td class="paramtype">(CGRect)&#160;</td>
          <td class="paramname"><em>emptyReact</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_beginner_tips_manager_8m_source.html">BeginnerTipsManager.m</a> 第 <a class="el" href="_beginner_tips_manager_8m_source.html#l00023">23</a> 行定义.</p>

</div>
</div>
<a id="ac0246a40d9351c38bdc68afbdfdd1310"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac0246a40d9351c38bdc68afbdfdd1310">&#9670;&nbsp;</a></span>tipWindowHasShowForKey:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">+ (BOOL) tipWindowHasShowForKey: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>key</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>判断是否展示过 </p>

<p class="definition">在文件 <a class="el" href="_beginner_tips_manager_8m_source.html">BeginnerTipsManager.m</a> 第 <a class="el" href="_beginner_tips_manager_8m_source.html#l00023">23</a> 行定义.</p>

</div>
</div>
<a id="a85340e58bc5fddbef3ed5f3898452eae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a85340e58bc5fddbef3ed5f3898452eae">&#9670;&nbsp;</a></span>updateTipWindowHasShowForKey:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">+ (void) updateTipWindowHasShowForKey: </td>
          <td></td>
          <td class="paramtype">(NSString *)&#160;</td>
          <td class="paramname"><em>key</em></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_beginner_tips_manager_8m_source.html">BeginnerTipsManager.m</a> 第 <a class="el" href="_beginner_tips_manager_8m_source.html#l00023">23</a> 行定义.</p>

</div>
</div>
<h2 class="groupheader">属性说明</h2>
<a id="a53d2f423aee4dc90ad3ce3fa4dfb53fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53d2f423aee4dc90ad3ce3fa4dfb53fe">&#9670;&nbsp;</a></span>delegate</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (id&lt;<a class="el" href="protocol_beginner_tips_manager_delegate-p.html">BeginnerTipsManagerDelegate</a>&gt;) delegate</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">weak</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">在文件 <a class="el" href="_beginner_tips_manager_8h_source.html">BeginnerTipsManager.h</a> 第 <a class="el" href="_beginner_tips_manager_8h_source.html#l00025">25</a> 行定义.</p>

</div>
</div>
<hr/>该类的文档由以下文件生成:<ul>
<li>XHXKit/Classes/BeginnerTipsManager/<a class="el" href="_beginner_tips_manager_8h_source.html">BeginnerTipsManager.h</a></li>
<li>XHXKit/Classes/BeginnerTipsManager/<a class="el" href="_beginner_tips_manager_8m_source.html">BeginnerTipsManager.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="interface_beginner_tips_manager.html">BeginnerTipsManager</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
